List invoices
curl --request GET \
--url https://api.platnova.com/v1/invoices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.platnova.com/v1/invoices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.platnova.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"items": [
{
"id": "<string>",
"invoice_number": "<string>",
"items": "<array>",
"subtotal": "<string>",
"total": "<string>",
"charges": {},
"note": "<string>",
"payment_schedule": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"max_page": 123,
"total_pages": 123,
"total": 123,
"last": true,
"first": true,
"visible": 123
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": true,
"data": {},
"error": [
"<unknown>"
],
"message": "<string>"
}Invoices
List Invoices
GET
/
v1
/
invoices
List invoices
Overview
Retrieve a paginated list of all invoices associated with your account. This endpoint allows you to view all invoices with filtering and sorting options.Authorizations
API key for authentication.
Query Parameters
Page number (0-indexed)
Number of items per page
Sort field and direction
Filter expression
⌘I

